#ifndef __ITEM_H__
#define __ITEM_H__

#include "position.h"
#include "output.h"

class item {
protected:
        position pos;
public:
        item(const position &pos);
        position get_pos() const;
        void set_pos(const position &npos);
        virtual void print(output *out) const = 0;
};

#endif
